'GetFilePathname.csc
'Copyright 2003 by Abe Hendin <venturadev@yourspeed.com>. Public Domain.
'
'Returns the pathname if a file is external, or just the filename if embedded.
'Test for "\" in the returned string to determine whether external or embedded.
'Usage: sPathName = GetFilePathname(sTextFileName)

WITHOBJECT "CorelVentura.Automation.10"
	DECLARE FUNCTION GetFilePathname(BYVAL sTextFileName AS STRING) AS STRING
	DIM sTextFileName AS STRING, sPathName AS STRING
	
	.TextFileSelectGet sTextFileName 'get filename of current text file
	
	sPathName = GetFilePathname(sTextFileName)
	MESSAGE sPathName
	
	FUNCTION GetFilePathname(BYVAL sTextFileName AS STRING) AS STRING
		DIM sCurrentFileName AS STRING
		DIM i AS INTEGER, TFCount AS LONG
		DIM bGotIt AS BOOLEAN
		
		bGotIt = FALSE
		
		TFCount = .TextFileCount()
		FOR i = 1 TO TFCount
			sCurrentFileName = .TextFileGetAt(i)
			
			'test for our file
			IF INSTR(sCurrentFileName, sTextFileName) THEN 'we've found the file
				bGotIt = TRUE
				EXIT FOR
			ENDIF
		NEXT
		
		IF bGotIt THEN
			GetFilePathname = sCurrentFileName
		ELSE
			MESSAGE "Cannot get pathname of " + sTextFileName + "!" 'this should never happen
			STOP 'exits the script
		ENDIF
	END FUNCTION
END WITHOBJECT
